view-values.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Branch::PosValuesChoice
| Choice storing position and values for integer views More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Branch
| Integer branchers.

## Functions

template<int n, bool min>
void | Gecode::Int::Branch::postviewvaluesbrancher (Home home, ViewArray< IntView > &x, ViewSel< IntView > *vs[n], IntBranchFilter bf, IntVarValPrint vvp)
| Post brancher for view and values.